import 'package:flutter/material.dart';
import 'package:flutter_svg/flutter_svg.dart';
import 'package:storebounty_auth/src/widget/styles/colors.dart';
import 'package:storebounty_auth/src/widget/styles/textstles.dart';

import '../constants/constant.dart';


class ExploreAppBar extends StatelessWidget implements PreferredSizeWidget {
  final double height;
  final String title;
  final VoidCallback onClick;
  final bool? showLeftIcon;

  ExploreAppBar(
      {this.height = kToolbarHeight,
        required this.title,
        required this.onClick, this.showLeftIcon});

  @override
  Size get preferredSize => Size.fromHeight(height);

  @override
  Widget build(BuildContext context) {
    return Container(
      color: AppColors.whiteColor,
      child: Column(
        children: [
          SizedBox(
            height: 25,
          ),
          Expanded(
            child: Container(
              // set your desired background color
              child: Row(
                crossAxisAlignment: CrossAxisAlignment.center,
                mainAxisAlignment: MainAxisAlignment.spaceBetween,
                children: [
                  // SizedBox(width: 1,),
                  InkWell(
                    onTap: onClick,
                    child: Container(
                        margin: EdgeInsets.only(left: 24),
                        child: SvgPicture.asset(
                          "$kIconsPath/arrow_back_icon.svg",
                          height: 24,
                          width: 24,
                        )),
                  ),
                  Text(
                    '$title',
                    style: Styles.p0(fontWeight: FontWeight.w600, fontSize: 18),
                  ),
                  showLeftIcon == true || showLeftIcon == null  ? Container(
                      margin: EdgeInsets.only(right: 24),
                      child: SvgPicture.asset(
                        "$kIconsPath/explore_icon.svg",
                        height: 24,
                        width: 24,
                      )):Container(
                      height: 24,
                      width: 24
                  )
                ],
              ),
            ),
          ),
        ],
      ),
    );
  }
}